body {
    margin: 0;
    padding: 0;
    background: #111;
    color: white;
    height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
}

#canvasHolder {
    height: 40%;
    width: 100%;
    position: relative;
    display: grid;
    place-items: center;
}

#littleFable {
    font-size: 1.1rem;
    font-family: "Noto Serif", serif;
    display: flex;
    align-items: flex-center;
    padding: 1rem;
    height: auto;
    flex-grow: 1;
}

header {
    font-family: "Noto Serif", serif;
    text-align: center;
    max-width: 100dvw;
}

main {  /* Hack - should actually figure out how to prevent p5 from making its own main*/
    display: none;
}

#realMain {
    max-width: 600px;
    height: 100%;
    width:100%;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

header {
    position: relative;
    display: grid;
    /* height: 20%; */
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto;
    grid-auto-rows: 1fr;
    grid-template-areas: 
        "t t t"
        "b a r";
}

.left {
    grid-area: b;
}

.right {
    grid-area: r;
    display: flex;
    align-items:last baseline;
    justify-content: flex-end;

}

author {
    grid-area: a;
    display: grid;
    place-items: center;
}

h1 {
    grid-area: t;
    margin: 0;
    display: grid;
    place-items: center;
}

#inactiveText {
    color: #6f6f6f;
}

#rat {
    height: auto;
    min-height: 2rem;
    max-height: 4rem;
}

span {
    display: inline;
}

button {
    font-size: 3rem;
    color: inherit;
    background-color: transparent;
    border: none;
    height: fit-content;
    width: fit-content;
    position: absolute;
    bottom: 0;
    left: 0;
}

button:active {
    background-color: #6f6f6f;
}

@media (hover: hover) {
    button:hover {
        background-color: #6f6f6f;
    }
}